using System;
using System.IO;
using System.Runtime.InteropServices;
using MoonWorks;

namespace ProjectName
{
	class Program
	{
		static void Main(string[] args)
		{
			WindowCreateInfo windowCreateInfo = new WindowCreateInfo
			{
				WindowWidth = 1280,
				WindowHeight = 720,
				WindowTitle = "ProjectName",
				ScreenMode = ScreenMode.Windowed,
				PresentMode = PresentMode.FIFORelaxed
			};

			FrameLimiterSettings frameLimiterSettings = new FrameLimiterSettings
			{
				Mode = FrameLimiterMode.Capped,
				Cap = 60
			};

			var debugMode = false;

			#if DEBUG
			debugMode = true;
			#endif

			ProjectNameGame game = new ProjectNameGame(
				windowCreateInfo,
				frameLimiterSettings,
				debugMode
			);

			game.Run();
		}
	}
}
